//////////////////////////////////////////////////////////////////////
// outline.h
//////////////////////////////////////////////////////////////////////

#ifndef _OUTLINE_H_
#define _OUTLINE_H_

#define MIN_OUTLINE_SZ	15
#define MAX_OUTLINE_SZ	25

typedef struct {
	int perim_length;	// no. of pixels along perimeter
	short *perim;
	float *normals;		// normal vectors
	int halfsize_x;
	int halfsize_y;
	int area;			// no. of pixels in mask
	unsigned char *mask; // (2*halfsize_x+1) by (2*halfsize_y+1) region
} OUTLINE;

void MakeEllipticalOutline(OUTLINE *outline, int xrad, int yrad);

#endif

